Bug 89233 - LVM needs upgraded in RedHat 9
LVM needs upgraded in RedHat 9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 12:11 EDT by G. Reno
Modified: 2007-04-18 12:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G. Reno 2003-04-21 12:11:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
  I just upgraded to RH9 and was suprised to see that Redhat is still
using the old LVM 1.0.3 version that has known bugs in the tool set? 
Sistina highly recommends that all LVM 1.x users upgrade to 1.0.6.
LVM 1.0.6 is fully backward-compatible and is essentially a bug fix
release of LVM 1.0.3.  There is really no reason not to provide LVM
1.0.6 at the very least.  This is such a critical component that it should have
the latest bug fixes available.

  Redhat, please provide an upgrade RPM for LVM to version 1.0.6
through up2date and even more preferably to LVM 2.0 if possible which has
support for device mappers.



Version-Release number of selected component (if applicable):
kernel-2.4.20-8

How reproducible:
Always

Steps to Reproduce:
1.read the description
2.
3.
    

Additional info:
Comment 1 Arjan van de Ven 2003-04-21 17:05:01 EDT
If I need to choose between a slightly older LVM and an LVM that corrupts data
regularly I actually prefer the slightly older LVM.
Comment 2 G. Reno 2003-04-21 17:44:08 EDT
What kind of answer is that.  Are you insinuating that 1.0.6 corrupts data
regularly?  Do you have test results to back up this assertion?  If this were
true then linux-lvm list would be overflowing with complaints which it isn't.  I
know that early on (pre 8.0) Redhat made some changes to LVM and submitted them
back to Sistina.  At least that's what I read.  Are you referring to maybe that
they didn't include the RedHat changes?  The recommendation of the LVM vendor is
that everyone on 1.x should be upgraded to 1.0.6 due to known bugs in previous
versions.  There is only one outstanding issue with 1.0.6 which has very limited
chance (snapshot resizing issue) which might affect say .001% of users!  They
may issue a 1.0.7 to deal with it.  Other than that I don't know of anything
else.  If you are aware of something else please be specific.  
Comment 3 Arjan van de Ven 2003-04-21 17:51:36 EDT
"Are you insinuating that 1.0.6 corrupts data regularly?  "

yes. The pvmove command for example will just eat your data if you use it on a
even lightly busy partition. Sistina so far has not yet merged our fixes, nor
have they submitted their updates to upstream (kernel.org) kernels to get a
wider audience.
Comment 4 G. Reno 2003-04-22 15:26:02 EDT
The LVM vendor (Sistina) says 1.0.6 ok except for some snapshot issues and 1.0.7
is ok (snapshot issues fixed).

  http://marc.theaimsgroup.com/?l=linux-lvm&m=105099920124235&w=2

Comment 5 G. Reno 2003-04-22 15:28:59 EDT
The LVM vendor (Sistina) says 1.0.6 ok except for some snapshot issues and 1.0.7
is ok (snapshot issues fixed).

  http://marc.theaimsgroup.com/?l=linux-lvm&m=105099920124235&w=2
Comment 6 acount closed by user 2003-04-24 12:21:25 EDT
Red Hat LiNUX 9 ships a lvm kernel version 1.0.5+ but the user space utils are
1.0.3. I hope to see a lvm2 + evms 2.0 into the next rhl and Advace Server 3
because the storage is the only big subject to replace SUN Solaris+veritas vxvm.
Comment 7 G. Reno 2003-04-24 14:09:55 EDT
LVM2 - EVMS 2.0.  That would be perfect!
Comment 8 acount closed by user 2003-08-27 18:36:00 EDT
2.4.23-pre1 has an update to lvm 1.0.7, maybe it's time to update user_space
utils to 1.0.7 too
Comment 9 acount closed by user 2004-01-09 05:33:56 EST
official 2.4.25-pre4 kernel was updated to LVM-1.0.8.

time to update user space utils :-?
Comment 11 Bugzilla owner 2004-09-30 11:40:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.